curl --request POST \
--url https://api.olostep.com/v1/monitors/{monitor_id}/resume \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/monitors/{monitor_id}/resume"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/monitors/{monitor_id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "monitor",
"query": "<string>",
"tracked": {
"type": "<string>",
"urls": [
"<string>"
],
"web_query": "<string>"
},
"source_policy": {
"include_urls": [
"<string>"
],
"exclude_urls": [
"<string>"
],
"include_domains": [
"<string>"
],
"exclude_domains": [
"<string>"
]
},
"schedule": {
"frequency": "<string>",
"cron": "<string>",
"timezone": "UTC",
"next_run_at": "2023-11-07T05:31:56Z"
},
"notification": {
"events": [
"changed"
],
"channels": [
{
"type": "email",
"target": "<string>",
"events": [
"changed"
]
}
]
},
"webhook": {
"url": "<string>"
},
"output_schema": {},
"status": "provisioning",
"error_message": "<string>",
"last_run": {
"id": "<string>",
"status": "completed",
"change_detected": true,
"ran_at": "2023-11-07T05:31:56Z"
},
"agent": {
"id": "<string>"
},
"metadata": {},
"created": 123,
"updated": 123,
"total_count": 123,
"mermaid_diagram": "<string>"
}{
"error": "<string>",
"monitor_id": "<string>"
}{
"error": "<string>",
"monitor_id": "<string>"
}Reprendre le Moniteur
Reprend un moniteur en pause en réactivant les exécutions programmées.
Autorisations
En-tête d'authentification Bearer sous la forme Bearer , où est ton jeton d'authentification.
Paramètres de chemin
^monitor_Réponse
Moniteur repris.
Identifiant unique du moniteur (monitor_…).
"monitor"
Intention de surveillance en langage naturel.
Cibles résolues que le moniteur suit après la fin de la planification.
Show child attributes
Show child attributes
Listes d'autorisation et de refus d'URL/domaine optionnelles appliquées pendant la planification et l'exécution.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Schéma JSON optionnel pour la sortie d'extraction structurée.
Surveille le statut du cycle de vie.
provisioning, active, paused, failed, deleted Présent lorsque status est failed.
Résumé du dernier instantané. Inclus dans GET /v1/monitors/{monitor_id}.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Horodatage Unix (secondes).
Horodatage Unix (secondes).
Nombre total d'instantanés. Inclus dans GET /v1/monitors/{monitor_id} sauf si include_total_count=false.
Diagramme de flux Mermaid du DAG du moniteur. Inclus lorsque include-diagram=true lors de la récupération.
Cette page vous a-t-elle été utile ?